# Telegram bot

Aktienbot telegram bot

## Development
1. Create virtual environment `python -m venv venv env/Scripts/activate`
2. Install requirements `pip install -r telegram_bot/requirements.txt`
3. Set environment variables (see list below)
   1. Use `.env`-file in `api` directory like `.env.example`
   2. Or set variables using `export` or `set` commands. (Windows `set`, Linux `export`)
4. Run api `python telegram_bot/bot.py`      

## Environment variables
```
    # Telegram bot api key
    BOT_API_KEY=
    
    # News api key
    NEWS_API_KEY=
```

## Docker
```
docker run -d \
    --name aktienbot_bot \
    --hostname aktienbot_bot \
    --publish 80:80 \
    --env "BOT_API_KEY=" \
    --env "NEWS_API_KEY=" \
    --restart unless-stopped \
    registry.flokaiser.com/aktienbot/bot:latest
```
or load environment variables from file by using `--env-file <filename>`